﻿.ddf-options-wrap,
.ddf-options-wrap * {
    box-sizing: border-box;
}

    .ddf-options-wrap > button:focus,
    .ddf-options-wrap > button {
        position: relative;
        width: 100%;
        text-align: left;
        border: 1px solid #aaa;
        background-color: #fff;
        padding: 5px 20px 5px 5px;
        margin-top: 1px;
        font-size: 13px;
        color: #aaa;
        outline-offset: -2px;
        white-space: nowrap;
    }

        /*.ddf-options-wrap > button.has-selection {
            border: 2px solid #333;
            background-color: #fff;
            padding: 5px 20px 5px 5px;
            margin-top: 1px;
            font-size: 13px;
            font-weight: bold;
            color: #333;
            outline-offset: -2px;
            white-space: nowrap;
        }*/

        .ddf-options-wrap > button > span {
            display: inline-block;
            text-overflow: ellipsis;
            overflow: hidden;
            width: 180px;
        }

        .ddf-options-wrap > button[disabled] {
            background-color: #e5e9ed;
            color: #808080;
            opacity: 0.6;
        }

        .ddf-options-wrap > button:after {
            content: ' ';
            height: 0;
            position: absolute;
            top: 50%;
            right: 5px;
            width: 0;
            border: 6px solid rgba(0, 0, 0, 0);
            border-top-color: #999;
            margin-top: -3px;
        }

    .ddf-options-wrap.ddf-has-selections > button {
        color: #333;
    }

    .ddf-options-wrap > .ddf-options {
        position: absolute;
        left: 0;
        width: 100%;
        margin-top: 1px;
        margin-bottom: 20px;
        background: white;
        z-index: 2000;
        border: 1px solid #aaa;
        overflow: auto;
    }

        .ddf-options-wrap > .ddf-options > .ddf-search {
            padding: 10px;
            border-bottom: 1px solid #E8E8E8;
        }
